Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.Ipv6ConfigurationMode

    java.lang.Object
      java.lang.Enum<Types.Ipv6ConfigurationMode>
          com.xensource.xenapi.Types.Ipv6ConfigurationMode

All Implemented Interfaces:
  Serializable, Comparable<Types.Ipv6ConfigurationMode>

Enclosing class:
  Types

    public static enum Types.Ipv6ConfigurationMode

extends Enum<Types.Ipv6ConfigurationMode>

Enum Constant Summary
`AUTOCONF` Router assigned prefix delegation IPv6 allocation
`DHCP` Acquire an IPv6 address by DHCP
`NONE` Do not acquire an IPv6 address
`STATIC` Static IPv6 address configuration
`UNRECOGNIZED` The value does not belong to this enumeration

Method Summary
`String` | `toString()`
`static Types.Ipv6ConfigurationMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.Ipv6ConfigurationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.Ipv6ConfigurationMode UNRECOGNIZED

  The value does not belong to this enumeration

### NONE

    public static final Types.Ipv6ConfigurationMode NONE

  Do not acquire an IPv6 address

### DHCP

    public static final Types.Ipv6ConfigurationMode DHCP

  Acquire an IPv6 address by DHCP

### STATIC

    public static final Types.Ipv6ConfigurationMode STATIC

  Static IPv6 address configuration

### AUTOCONF

    public static final Types.Ipv6ConfigurationMode AUTOCONF

  Router assigned prefix delegation IPv6 allocation

Method Detail

### values

    public static Types.Ipv6ConfigurationMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.Ipv6ConfigurationMode c : Types.Ipv6ConfigurationMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.Ipv6ConfigurationMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.Ipv6ConfigurationMode>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD